GetTask
POST/gitpod.v1.EnvironmentAutomationService/GetTask
Gets details about a specific automation task.
Use this method to:
- Check task configuration
- View task dependencies
- Monitor task status
Examples
-
Get task details:
Retrieves information about a specific task.
id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
GetTask
curl https://app.gitpod.io/api/gitpod.v1.EnvironmentAutomationService/GetTask \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $GITPOD_API_KEY" \
-d '{}'{
"task": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"dependsOn": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
],
"environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"metadata": {
"createdAt": "2019-12-27T18:11:19.117Z",
"creator": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"description": "description",
"name": "x",
"reference": "reference",
"triggeredBy": [
{
"beforeSnapshot": true,
"manual": true,
"postDevcontainerStart": true,
"postEnvironmentStart": true,
"postMachineStart": true,
"prebuild": true
}
]
},
"spec": {
"command": "command",
"env": [
{
"name": "x",
"value": "value",
"valueFrom": {
"secretRef": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
}
}
],
"prebuildRequiresSuccess": true,
"runsOn": {
"docker": {
"environment": [
"string"
],
"image": "x"
},
"machine": {}
}
}
}
}Returns Examples
{
"task": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"dependsOn": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
],
"environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"metadata": {
"createdAt": "2019-12-27T18:11:19.117Z",
"creator": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"description": "description",
"name": "x",
"reference": "reference",
"triggeredBy": [
{
"beforeSnapshot": true,
"manual": true,
"postDevcontainerStart": true,
"postEnvironmentStart": true,
"postMachineStart": true,
"prebuild": true
}
]
},
"spec": {
"command": "command",
"env": [
{
"name": "x",
"value": "value",
"valueFrom": {
"secretRef": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
}
}
],
"prebuildRequiresSuccess": true,
"runsOn": {
"docker": {
"environment": [
"string"
],
"image": "x"
},
"machine": {}
}
}
}
}